## Class TSqliteMetaData

Description

TSqliteMetaData loads SQLite database table and column information.

- since: 3.1
- version: $Id: TSqliteMetaData.php 1861 2007-04-12 08:05:03Z wei $
- author: Wei Zhuo <weizho[at]gmail[dot]com>

Located in /Data/Common/Sqlite/TSqliteMetaData.php (line 27)

    TComponent
       |
       --TDbMetaData
          |
          --TSqliteMetaData

Method Summary
TPgsqlTableInfo createTableInfo (string $tableName)
array getForeignKeys (string $table)
boolean getIsView (string $tableName)
string getTableInfoClass ()
boolean isForeignKeyColumn (string $columnId, array $foreign)
TSqliteTableColumn processColumn (array $col, array $foreign)
Methods
createTableInfo (line 42)

Get the column definitions for given table.

- return: table information.
- access: protected

TPgsqlTableInfo createTableInfo (string $tableName)

- string $tableName: table name.

Redefinition of:

TDbMetaData::createTableInfo()
  This method should be implemented by decendent classes.

getForeignKeys (line 136)

- return: foreign key details.
- access: protected

array getForeignKeys (string $table)

- string $table: quoted table name.

getIsView (line 76)

- return: true if the table is a view.
- access: protected

boolean getIsView (string $tableName)

- string $tableName: table name.

getTableInfoClass (line 32)

- return: TDbTableInfo class name.
- access: protected

string getTableInfoClass ()

Redefinition of:

TDbMetaData::getTableInfoClass()

isForeignKeyColumn (line 154)

- return: true if column is a foreign key.
- access: protected

boolean isForeignKeyColumn (string $columnId, array $foreign)

- string $columnId: column name.
- array $foreign: foreign key column names.

processColumn (line 90)

- return: column details.
- access: protected

TSqliteTableColumn processColumn (array $col, array $foreign)

- array $col: column information.
- array $foreign: foreign key details.

#### Inherited Methods

Inherited From TDbMetaData

> TDbMetaData::__construct()
> TDbMetaData::createCommandBuilder()
> TDbMetaData::createTableInfo()
> TDbMetaData::getDbConnection()
> TDbMetaData::getInstance()
> TDbMetaData::getTableInfo()
> TDbMetaData::getTableInfoClass()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:36:15 -0400 by phpDocumentor 1.3.0RC4